Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Class WeblogicAppender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--com.bea.logging.WeblogicAppender

public class WeblogicAppender
extends org.apache.log4j.AppenderSkeleton

The WeblogicAppender is an appender for writing to the WebLogic log services. Consequently, it's use is dependent on running within WebLogic. If you are not running within WebLogic, this logger writes to System.out.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold, THRESHOLD_OPTION`

Constructor Summary
`WeblogicAppender()`
`WeblogicAppender(java.lang.String subsystem)`

Method Summary
`protected void` | `append(org.apache.log4j.spi.LoggingEvent event)` The append method is over-ridden to send messages to the WLS.
`void` | `close()` Does nothing at present release.
`boolean` | `requiresLayout()` Objects can call this method to find out if they are required to provide a layout for this appender.

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getOptionStrings, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setOption, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeblogicAppender

    public WeblogicAppender()

### WeblogicAppender

    public WeblogicAppender(java.lang.String subsystem)

Method Detail

### append

    protected final void append(org.apache.log4j.spi.LoggingEvent event)

  The append method is over-ridden to send messages to the WLS.

  Overrides:
    append in class org.apache.log4j.AppenderSkeleton

### requiresLayout

    public final boolean requiresLayout()

  Objects can call this method to find out if they are required to provide a layout for this appender. Because WebLogic provides its own log message formatting, this appender does not need a layout provided; in fact, if one is provided, it is ignored.

  Returns:
    false
  Overrides:
    requiresLayout in class org.apache.log4j.AppenderSkeleton

### close

    public final void close()

  Does nothing at present release.

  Overrides:
    close in class org.apache.log4j.AppenderSkeleton

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)